<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/theme_color"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginTop="24dp"
        android:layout_marginEnd="16dp"
        android:layout_marginBottom="24dp"
        app:cardCornerRadius="16dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="200dp">

            <LinearLayout
                android:id="@+id/preview_layout"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:background="@color/default_preview_bg_color"
                android:gravity="center">

                <HorizontalScrollView
                    android:id="@+id/horizontal_scrollview"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:nestedScrollingEnabled="true"
                    android:scrollbars="none">

                    <TextView
                        android:id="@+id/preview_text"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/font_medium"
                        android:singleLine="true"
                        android:text="@string/app_name"
                        android:textColor="@color/default_preview_text_color"
                        android:textSize="80dp" />

                </HorizontalScrollView>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/drw_bg_stroke_preview" />
        </RelativeLayout>

    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:layout_marginEnd="16dp"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:layout_weight="1"
            android:background="@drawable/drw_frame_edit_bg"
            android:gravity="center_vertical">

            <EditText
                android:id="@+id/content_edit"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="12dp"
                android:layout_marginTop="6dp"
                android:layout_marginEnd="6dp"
                android:layout_marginBottom="6dp"
                android:layout_weight="1"
                android:background="@null"
                android:fontFamily="@font/font_medium"
                android:hint="@string/type_something"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textColorHint="@color/text_color_desc"
                android:textSize="16sp" />

            <LinearLayout
                android:id="@+id/start_btn"
                android:layout_width="wrap_content"
                android:layout_height="30dp"
                android:layout_margin="6dp"
                android:background="@drawable/drw_btn_bg"
                android:gravity="center"
                android:paddingStart="16dp"
                android:paddingEnd="16dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/Play"
                    android:fontFamily="@font/font_medium"
                    android:textColor="@color/black" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="16dp"
        android:background="@drawable/drw_tab_bg"
        android:orientation="vertical"
        android:paddingTop="16dp">

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tabLayout"
            style="@style/TabLayoutIndicatorStyle"
            android:layout_width="match_parent"
            android:layout_height="30dp" />


        <androidx.viewpager.widget.ViewPager
            android:id="@+id/viewPager"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </LinearLayout>
</LinearLayout>